// Code generated by protoc-gen-go. DO NOT EDIT.
// source: user.proto

package proxy

import (
	context "context"
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type User struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Firstname            string   `protobuf:"bytes,2,opt,name=firstname,proto3" json:"firstname,omitempty"`
	Lastname             string   `protobuf:"bytes,3,opt,name=lastname,proto3" json:"lastname,omitempty"`
	Email                string   `protobuf:"bytes,4,opt,name=email,proto3" json:"email,omitempty"`
	Phone                string   `protobuf:"bytes,5,opt,name=phone,proto3" json:"phone,omitempty"`
	Photo                string   `protobuf:"bytes,6,opt,name=photo,proto3" json:"photo,omitempty"`
	Point                float64  `protobuf:"fixed64,7,opt,name=point,proto3" json:"point,omitempty"`
	Status               string   `protobuf:"bytes,8,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *User) Reset()         { *m = User{} }
func (m *User) String() string { return proto.CompactTextString(m) }
func (*User) ProtoMessage()    {}
func (*User) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{0}
}

func (m *User) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_User.Unmarshal(m, b)
}
func (m *User) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_User.Marshal(b, m, deterministic)
}
func (m *User) XXX_Merge(src proto.Message) {
	xxx_messageInfo_User.Merge(m, src)
}
func (m *User) XXX_Size() int {
	return xxx_messageInfo_User.Size(m)
}
func (m *User) XXX_DiscardUnknown() {
	xxx_messageInfo_User.DiscardUnknown(m)
}

var xxx_messageInfo_User proto.InternalMessageInfo

func (m *User) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *User) GetFirstname() string {
	if m != nil {
		return m.Firstname
	}
	return ""
}

func (m *User) GetLastname() string {
	if m != nil {
		return m.Lastname
	}
	return ""
}

func (m *User) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *User) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *User) GetPhoto() string {
	if m != nil {
		return m.Photo
	}
	return ""
}

func (m *User) GetPoint() float64 {
	if m != nil {
		return m.Point
	}
	return 0
}

func (m *User) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type UserTransaction struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Type                 string   `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Point                float64  `protobuf:"fixed64,3,opt,name=point,proto3" json:"point,omitempty"`
	Description          string   `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	CreatedAt            string   `protobuf:"bytes,5,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UserTransaction) Reset()         { *m = UserTransaction{} }
func (m *UserTransaction) String() string { return proto.CompactTextString(m) }
func (*UserTransaction) ProtoMessage()    {}
func (*UserTransaction) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{1}
}

func (m *UserTransaction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UserTransaction.Unmarshal(m, b)
}
func (m *UserTransaction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UserTransaction.Marshal(b, m, deterministic)
}
func (m *UserTransaction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UserTransaction.Merge(m, src)
}
func (m *UserTransaction) XXX_Size() int {
	return xxx_messageInfo_UserTransaction.Size(m)
}
func (m *UserTransaction) XXX_DiscardUnknown() {
	xxx_messageInfo_UserTransaction.DiscardUnknown(m)
}

var xxx_messageInfo_UserTransaction proto.InternalMessageInfo

func (m *UserTransaction) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *UserTransaction) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *UserTransaction) GetPoint() float64 {
	if m != nil {
		return m.Point
	}
	return 0
}

func (m *UserTransaction) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *UserTransaction) GetCreatedAt() string {
	if m != nil {
		return m.CreatedAt
	}
	return ""
}

type GetNewUserTodayRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNewUserTodayRequest) Reset()         { *m = GetNewUserTodayRequest{} }
func (m *GetNewUserTodayRequest) String() string { return proto.CompactTextString(m) }
func (*GetNewUserTodayRequest) ProtoMessage()    {}
func (*GetNewUserTodayRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{2}
}

func (m *GetNewUserTodayRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNewUserTodayRequest.Unmarshal(m, b)
}
func (m *GetNewUserTodayRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNewUserTodayRequest.Marshal(b, m, deterministic)
}
func (m *GetNewUserTodayRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNewUserTodayRequest.Merge(m, src)
}
func (m *GetNewUserTodayRequest) XXX_Size() int {
	return xxx_messageInfo_GetNewUserTodayRequest.Size(m)
}
func (m *GetNewUserTodayRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNewUserTodayRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetNewUserTodayRequest proto.InternalMessageInfo

type GetNewUserTodayReply struct {
	Count                int32    `protobuf:"varint,1,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNewUserTodayReply) Reset()         { *m = GetNewUserTodayReply{} }
func (m *GetNewUserTodayReply) String() string { return proto.CompactTextString(m) }
func (*GetNewUserTodayReply) ProtoMessage()    {}
func (*GetNewUserTodayReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{3}
}

func (m *GetNewUserTodayReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNewUserTodayReply.Unmarshal(m, b)
}
func (m *GetNewUserTodayReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNewUserTodayReply.Marshal(b, m, deterministic)
}
func (m *GetNewUserTodayReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNewUserTodayReply.Merge(m, src)
}
func (m *GetNewUserTodayReply) XXX_Size() int {
	return xxx_messageInfo_GetNewUserTodayReply.Size(m)
}
func (m *GetNewUserTodayReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNewUserTodayReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetNewUserTodayReply proto.InternalMessageInfo

func (m *GetNewUserTodayReply) GetCount() int32 {
	if m != nil {
		return m.Count
	}
	return 0
}

type CreateUserRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Firstname            string   `protobuf:"bytes,2,opt,name=firstname,proto3" json:"firstname,omitempty"`
	Lastname             string   `protobuf:"bytes,3,opt,name=lastname,proto3" json:"lastname,omitempty"`
	Email                string   `protobuf:"bytes,4,opt,name=email,proto3" json:"email,omitempty"`
	Phone                string   `protobuf:"bytes,5,opt,name=phone,proto3" json:"phone,omitempty"`
	Photo                string   `protobuf:"bytes,6,opt,name=photo,proto3" json:"photo,omitempty"`
	Passcode             string   `protobuf:"bytes,7,opt,name=passcode,proto3" json:"passcode,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateUserRequest) Reset()         { *m = CreateUserRequest{} }
func (m *CreateUserRequest) String() string { return proto.CompactTextString(m) }
func (*CreateUserRequest) ProtoMessage()    {}
func (*CreateUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{4}
}

func (m *CreateUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateUserRequest.Unmarshal(m, b)
}
func (m *CreateUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateUserRequest.Marshal(b, m, deterministic)
}
func (m *CreateUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateUserRequest.Merge(m, src)
}
func (m *CreateUserRequest) XXX_Size() int {
	return xxx_messageInfo_CreateUserRequest.Size(m)
}
func (m *CreateUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateUserRequest proto.InternalMessageInfo

func (m *CreateUserRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *CreateUserRequest) GetFirstname() string {
	if m != nil {
		return m.Firstname
	}
	return ""
}

func (m *CreateUserRequest) GetLastname() string {
	if m != nil {
		return m.Lastname
	}
	return ""
}

func (m *CreateUserRequest) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *CreateUserRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *CreateUserRequest) GetPhoto() string {
	if m != nil {
		return m.Photo
	}
	return ""
}

func (m *CreateUserRequest) GetPasscode() string {
	if m != nil {
		return m.Passcode
	}
	return ""
}

type CreateUserReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateUserReply) Reset()         { *m = CreateUserReply{} }
func (m *CreateUserReply) String() string { return proto.CompactTextString(m) }
func (*CreateUserReply) ProtoMessage()    {}
func (*CreateUserReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{5}
}

func (m *CreateUserReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateUserReply.Unmarshal(m, b)
}
func (m *CreateUserReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateUserReply.Marshal(b, m, deterministic)
}
func (m *CreateUserReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateUserReply.Merge(m, src)
}
func (m *CreateUserReply) XXX_Size() int {
	return xxx_messageInfo_CreateUserReply.Size(m)
}
func (m *CreateUserReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateUserReply.DiscardUnknown(m)
}

var xxx_messageInfo_CreateUserReply proto.InternalMessageInfo

func (m *CreateUserReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetUsersRequest struct {
	Offset               int32    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUsersRequest) Reset()         { *m = GetUsersRequest{} }
func (m *GetUsersRequest) String() string { return proto.CompactTextString(m) }
func (*GetUsersRequest) ProtoMessage()    {}
func (*GetUsersRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{6}
}

func (m *GetUsersRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUsersRequest.Unmarshal(m, b)
}
func (m *GetUsersRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUsersRequest.Marshal(b, m, deterministic)
}
func (m *GetUsersRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUsersRequest.Merge(m, src)
}
func (m *GetUsersRequest) XXX_Size() int {
	return xxx_messageInfo_GetUsersRequest.Size(m)
}
func (m *GetUsersRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUsersRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetUsersRequest proto.InternalMessageInfo

func (m *GetUsersRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetUsersRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetUsersReply struct {
	Users                []*User  `protobuf:"bytes,1,rep,name=users,proto3" json:"users,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUsersReply) Reset()         { *m = GetUsersReply{} }
func (m *GetUsersReply) String() string { return proto.CompactTextString(m) }
func (*GetUsersReply) ProtoMessage()    {}
func (*GetUsersReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{7}
}

func (m *GetUsersReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUsersReply.Unmarshal(m, b)
}
func (m *GetUsersReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUsersReply.Marshal(b, m, deterministic)
}
func (m *GetUsersReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUsersReply.Merge(m, src)
}
func (m *GetUsersReply) XXX_Size() int {
	return xxx_messageInfo_GetUsersReply.Size(m)
}
func (m *GetUsersReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUsersReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetUsersReply proto.InternalMessageInfo

func (m *GetUsersReply) GetUsers() []*User {
	if m != nil {
		return m.Users
	}
	return nil
}

type GetUserRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserRequest) Reset()         { *m = GetUserRequest{} }
func (m *GetUserRequest) String() string { return proto.CompactTextString(m) }
func (*GetUserRequest) ProtoMessage()    {}
func (*GetUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{8}
}

func (m *GetUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserRequest.Unmarshal(m, b)
}
func (m *GetUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserRequest.Marshal(b, m, deterministic)
}
func (m *GetUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserRequest.Merge(m, src)
}
func (m *GetUserRequest) XXX_Size() int {
	return xxx_messageInfo_GetUserRequest.Size(m)
}
func (m *GetUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserRequest proto.InternalMessageInfo

func (m *GetUserRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

type GetUserReply struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserReply) Reset()         { *m = GetUserReply{} }
func (m *GetUserReply) String() string { return proto.CompactTextString(m) }
func (*GetUserReply) ProtoMessage()    {}
func (*GetUserReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{9}
}

func (m *GetUserReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserReply.Unmarshal(m, b)
}
func (m *GetUserReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserReply.Marshal(b, m, deterministic)
}
func (m *GetUserReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserReply.Merge(m, src)
}
func (m *GetUserReply) XXX_Size() int {
	return xxx_messageInfo_GetUserReply.Size(m)
}
func (m *GetUserReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserReply proto.InternalMessageInfo

func (m *GetUserReply) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

type GetUserByPhoneRequest struct {
	Phone                string   `protobuf:"bytes,1,opt,name=phone,proto3" json:"phone,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserByPhoneRequest) Reset()         { *m = GetUserByPhoneRequest{} }
func (m *GetUserByPhoneRequest) String() string { return proto.CompactTextString(m) }
func (*GetUserByPhoneRequest) ProtoMessage()    {}
func (*GetUserByPhoneRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{10}
}

func (m *GetUserByPhoneRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserByPhoneRequest.Unmarshal(m, b)
}
func (m *GetUserByPhoneRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserByPhoneRequest.Marshal(b, m, deterministic)
}
func (m *GetUserByPhoneRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserByPhoneRequest.Merge(m, src)
}
func (m *GetUserByPhoneRequest) XXX_Size() int {
	return xxx_messageInfo_GetUserByPhoneRequest.Size(m)
}
func (m *GetUserByPhoneRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserByPhoneRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserByPhoneRequest proto.InternalMessageInfo

func (m *GetUserByPhoneRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

type GetUserByPhoneReply struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserByPhoneReply) Reset()         { *m = GetUserByPhoneReply{} }
func (m *GetUserByPhoneReply) String() string { return proto.CompactTextString(m) }
func (*GetUserByPhoneReply) ProtoMessage()    {}
func (*GetUserByPhoneReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{11}
}

func (m *GetUserByPhoneReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserByPhoneReply.Unmarshal(m, b)
}
func (m *GetUserByPhoneReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserByPhoneReply.Marshal(b, m, deterministic)
}
func (m *GetUserByPhoneReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserByPhoneReply.Merge(m, src)
}
func (m *GetUserByPhoneReply) XXX_Size() int {
	return xxx_messageInfo_GetUserByPhoneReply.Size(m)
}
func (m *GetUserByPhoneReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserByPhoneReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserByPhoneReply proto.InternalMessageInfo

func (m *GetUserByPhoneReply) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

type UpdateUserRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Firstname            string   `protobuf:"bytes,2,opt,name=firstname,proto3" json:"firstname,omitempty"`
	Lastname             string   `protobuf:"bytes,3,opt,name=lastname,proto3" json:"lastname,omitempty"`
	Photo                string   `protobuf:"bytes,5,opt,name=photo,proto3" json:"photo,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateUserRequest) Reset()         { *m = UpdateUserRequest{} }
func (m *UpdateUserRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateUserRequest) ProtoMessage()    {}
func (*UpdateUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{12}
}

func (m *UpdateUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateUserRequest.Unmarshal(m, b)
}
func (m *UpdateUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateUserRequest.Marshal(b, m, deterministic)
}
func (m *UpdateUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateUserRequest.Merge(m, src)
}
func (m *UpdateUserRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateUserRequest.Size(m)
}
func (m *UpdateUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateUserRequest proto.InternalMessageInfo

func (m *UpdateUserRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *UpdateUserRequest) GetFirstname() string {
	if m != nil {
		return m.Firstname
	}
	return ""
}

func (m *UpdateUserRequest) GetLastname() string {
	if m != nil {
		return m.Lastname
	}
	return ""
}

func (m *UpdateUserRequest) GetPhoto() string {
	if m != nil {
		return m.Photo
	}
	return ""
}

type UpdateUserReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateUserReply) Reset()         { *m = UpdateUserReply{} }
func (m *UpdateUserReply) String() string { return proto.CompactTextString(m) }
func (*UpdateUserReply) ProtoMessage()    {}
func (*UpdateUserReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{13}
}

func (m *UpdateUserReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateUserReply.Unmarshal(m, b)
}
func (m *UpdateUserReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateUserReply.Marshal(b, m, deterministic)
}
func (m *UpdateUserReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateUserReply.Merge(m, src)
}
func (m *UpdateUserReply) XXX_Size() int {
	return xxx_messageInfo_UpdateUserReply.Size(m)
}
func (m *UpdateUserReply) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateUserReply.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateUserReply proto.InternalMessageInfo

func (m *UpdateUserReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type VerifyPasscodeRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Passcode             string   `protobuf:"bytes,2,opt,name=passcode,proto3" json:"passcode,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VerifyPasscodeRequest) Reset()         { *m = VerifyPasscodeRequest{} }
func (m *VerifyPasscodeRequest) String() string { return proto.CompactTextString(m) }
func (*VerifyPasscodeRequest) ProtoMessage()    {}
func (*VerifyPasscodeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{14}
}

func (m *VerifyPasscodeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VerifyPasscodeRequest.Unmarshal(m, b)
}
func (m *VerifyPasscodeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VerifyPasscodeRequest.Marshal(b, m, deterministic)
}
func (m *VerifyPasscodeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VerifyPasscodeRequest.Merge(m, src)
}
func (m *VerifyPasscodeRequest) XXX_Size() int {
	return xxx_messageInfo_VerifyPasscodeRequest.Size(m)
}
func (m *VerifyPasscodeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_VerifyPasscodeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_VerifyPasscodeRequest proto.InternalMessageInfo

func (m *VerifyPasscodeRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *VerifyPasscodeRequest) GetPasscode() string {
	if m != nil {
		return m.Passcode
	}
	return ""
}

type VerifyPasscodeReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VerifyPasscodeReply) Reset()         { *m = VerifyPasscodeReply{} }
func (m *VerifyPasscodeReply) String() string { return proto.CompactTextString(m) }
func (*VerifyPasscodeReply) ProtoMessage()    {}
func (*VerifyPasscodeReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{15}
}

func (m *VerifyPasscodeReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VerifyPasscodeReply.Unmarshal(m, b)
}
func (m *VerifyPasscodeReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VerifyPasscodeReply.Marshal(b, m, deterministic)
}
func (m *VerifyPasscodeReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VerifyPasscodeReply.Merge(m, src)
}
func (m *VerifyPasscodeReply) XXX_Size() int {
	return xxx_messageInfo_VerifyPasscodeReply.Size(m)
}
func (m *VerifyPasscodeReply) XXX_DiscardUnknown() {
	xxx_messageInfo_VerifyPasscodeReply.DiscardUnknown(m)
}

var xxx_messageInfo_VerifyPasscodeReply proto.InternalMessageInfo

func (m *VerifyPasscodeReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type IsEmailExistRequest struct {
	Email                string   `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IsEmailExistRequest) Reset()         { *m = IsEmailExistRequest{} }
func (m *IsEmailExistRequest) String() string { return proto.CompactTextString(m) }
func (*IsEmailExistRequest) ProtoMessage()    {}
func (*IsEmailExistRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{16}
}

func (m *IsEmailExistRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IsEmailExistRequest.Unmarshal(m, b)
}
func (m *IsEmailExistRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IsEmailExistRequest.Marshal(b, m, deterministic)
}
func (m *IsEmailExistRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IsEmailExistRequest.Merge(m, src)
}
func (m *IsEmailExistRequest) XXX_Size() int {
	return xxx_messageInfo_IsEmailExistRequest.Size(m)
}
func (m *IsEmailExistRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_IsEmailExistRequest.DiscardUnknown(m)
}

var xxx_messageInfo_IsEmailExistRequest proto.InternalMessageInfo

func (m *IsEmailExistRequest) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

type IsEmailExistReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IsEmailExistReply) Reset()         { *m = IsEmailExistReply{} }
func (m *IsEmailExistReply) String() string { return proto.CompactTextString(m) }
func (*IsEmailExistReply) ProtoMessage()    {}
func (*IsEmailExistReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{17}
}

func (m *IsEmailExistReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IsEmailExistReply.Unmarshal(m, b)
}
func (m *IsEmailExistReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IsEmailExistReply.Marshal(b, m, deterministic)
}
func (m *IsEmailExistReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IsEmailExistReply.Merge(m, src)
}
func (m *IsEmailExistReply) XXX_Size() int {
	return xxx_messageInfo_IsEmailExistReply.Size(m)
}
func (m *IsEmailExistReply) XXX_DiscardUnknown() {
	xxx_messageInfo_IsEmailExistReply.DiscardUnknown(m)
}

var xxx_messageInfo_IsEmailExistReply proto.InternalMessageInfo

func (m *IsEmailExistReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type IsPhoneExistRequest struct {
	Phone                string   `protobuf:"bytes,1,opt,name=phone,proto3" json:"phone,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IsPhoneExistRequest) Reset()         { *m = IsPhoneExistRequest{} }
func (m *IsPhoneExistRequest) String() string { return proto.CompactTextString(m) }
func (*IsPhoneExistRequest) ProtoMessage()    {}
func (*IsPhoneExistRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{18}
}

func (m *IsPhoneExistRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IsPhoneExistRequest.Unmarshal(m, b)
}
func (m *IsPhoneExistRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IsPhoneExistRequest.Marshal(b, m, deterministic)
}
func (m *IsPhoneExistRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IsPhoneExistRequest.Merge(m, src)
}
func (m *IsPhoneExistRequest) XXX_Size() int {
	return xxx_messageInfo_IsPhoneExistRequest.Size(m)
}
func (m *IsPhoneExistRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_IsPhoneExistRequest.DiscardUnknown(m)
}

var xxx_messageInfo_IsPhoneExistRequest proto.InternalMessageInfo

func (m *IsPhoneExistRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

type IsPhoneExistReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IsPhoneExistReply) Reset()         { *m = IsPhoneExistReply{} }
func (m *IsPhoneExistReply) String() string { return proto.CompactTextString(m) }
func (*IsPhoneExistReply) ProtoMessage()    {}
func (*IsPhoneExistReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{19}
}

func (m *IsPhoneExistReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IsPhoneExistReply.Unmarshal(m, b)
}
func (m *IsPhoneExistReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IsPhoneExistReply.Marshal(b, m, deterministic)
}
func (m *IsPhoneExistReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IsPhoneExistReply.Merge(m, src)
}
func (m *IsPhoneExistReply) XXX_Size() int {
	return xxx_messageInfo_IsPhoneExistReply.Size(m)
}
func (m *IsPhoneExistReply) XXX_DiscardUnknown() {
	xxx_messageInfo_IsPhoneExistReply.DiscardUnknown(m)
}

var xxx_messageInfo_IsPhoneExistReply proto.InternalMessageInfo

func (m *IsPhoneExistReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type ActivateUserRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ActivateUserRequest) Reset()         { *m = ActivateUserRequest{} }
func (m *ActivateUserRequest) String() string { return proto.CompactTextString(m) }
func (*ActivateUserRequest) ProtoMessage()    {}
func (*ActivateUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{20}
}

func (m *ActivateUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ActivateUserRequest.Unmarshal(m, b)
}
func (m *ActivateUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ActivateUserRequest.Marshal(b, m, deterministic)
}
func (m *ActivateUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ActivateUserRequest.Merge(m, src)
}
func (m *ActivateUserRequest) XXX_Size() int {
	return xxx_messageInfo_ActivateUserRequest.Size(m)
}
func (m *ActivateUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ActivateUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ActivateUserRequest proto.InternalMessageInfo

func (m *ActivateUserRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

type ActivateUserReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ActivateUserReply) Reset()         { *m = ActivateUserReply{} }
func (m *ActivateUserReply) String() string { return proto.CompactTextString(m) }
func (*ActivateUserReply) ProtoMessage()    {}
func (*ActivateUserReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{21}
}

func (m *ActivateUserReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ActivateUserReply.Unmarshal(m, b)
}
func (m *ActivateUserReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ActivateUserReply.Marshal(b, m, deterministic)
}
func (m *ActivateUserReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ActivateUserReply.Merge(m, src)
}
func (m *ActivateUserReply) XXX_Size() int {
	return xxx_messageInfo_ActivateUserReply.Size(m)
}
func (m *ActivateUserReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ActivateUserReply.DiscardUnknown(m)
}

var xxx_messageInfo_ActivateUserReply proto.InternalMessageInfo

func (m *ActivateUserReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type BanUserRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BanUserRequest) Reset()         { *m = BanUserRequest{} }
func (m *BanUserRequest) String() string { return proto.CompactTextString(m) }
func (*BanUserRequest) ProtoMessage()    {}
func (*BanUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{22}
}

func (m *BanUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BanUserRequest.Unmarshal(m, b)
}
func (m *BanUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BanUserRequest.Marshal(b, m, deterministic)
}
func (m *BanUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BanUserRequest.Merge(m, src)
}
func (m *BanUserRequest) XXX_Size() int {
	return xxx_messageInfo_BanUserRequest.Size(m)
}
func (m *BanUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BanUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BanUserRequest proto.InternalMessageInfo

func (m *BanUserRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

type BanUserReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BanUserReply) Reset()         { *m = BanUserReply{} }
func (m *BanUserReply) String() string { return proto.CompactTextString(m) }
func (*BanUserReply) ProtoMessage()    {}
func (*BanUserReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{23}
}

func (m *BanUserReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BanUserReply.Unmarshal(m, b)
}
func (m *BanUserReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BanUserReply.Marshal(b, m, deterministic)
}
func (m *BanUserReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BanUserReply.Merge(m, src)
}
func (m *BanUserReply) XXX_Size() int {
	return xxx_messageInfo_BanUserReply.Size(m)
}
func (m *BanUserReply) XXX_DiscardUnknown() {
	xxx_messageInfo_BanUserReply.DiscardUnknown(m)
}

var xxx_messageInfo_BanUserReply proto.InternalMessageInfo

func (m *BanUserReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetUserTransactionsRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Offset               int32    `protobuf:"varint,2,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserTransactionsRequest) Reset()         { *m = GetUserTransactionsRequest{} }
func (m *GetUserTransactionsRequest) String() string { return proto.CompactTextString(m) }
func (*GetUserTransactionsRequest) ProtoMessage()    {}
func (*GetUserTransactionsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{24}
}

func (m *GetUserTransactionsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserTransactionsRequest.Unmarshal(m, b)
}
func (m *GetUserTransactionsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserTransactionsRequest.Marshal(b, m, deterministic)
}
func (m *GetUserTransactionsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserTransactionsRequest.Merge(m, src)
}
func (m *GetUserTransactionsRequest) XXX_Size() int {
	return xxx_messageInfo_GetUserTransactionsRequest.Size(m)
}
func (m *GetUserTransactionsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserTransactionsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserTransactionsRequest proto.InternalMessageInfo

func (m *GetUserTransactionsRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *GetUserTransactionsRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetUserTransactionsRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetUserTransactionsReply struct {
	Transactions         []*UserTransaction `protobuf:"bytes,1,rep,name=transactions,proto3" json:"transactions,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *GetUserTransactionsReply) Reset()         { *m = GetUserTransactionsReply{} }
func (m *GetUserTransactionsReply) String() string { return proto.CompactTextString(m) }
func (*GetUserTransactionsReply) ProtoMessage()    {}
func (*GetUserTransactionsReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{25}
}

func (m *GetUserTransactionsReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserTransactionsReply.Unmarshal(m, b)
}
func (m *GetUserTransactionsReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserTransactionsReply.Marshal(b, m, deterministic)
}
func (m *GetUserTransactionsReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserTransactionsReply.Merge(m, src)
}
func (m *GetUserTransactionsReply) XXX_Size() int {
	return xxx_messageInfo_GetUserTransactionsReply.Size(m)
}
func (m *GetUserTransactionsReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserTransactionsReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserTransactionsReply proto.InternalMessageInfo

func (m *GetUserTransactionsReply) GetTransactions() []*UserTransaction {
	if m != nil {
		return m.Transactions
	}
	return nil
}

type GetUserTransactionRequest struct {
	TransactionID        string   `protobuf:"bytes,1,opt,name=transactionID,proto3" json:"transactionID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserTransactionRequest) Reset()         { *m = GetUserTransactionRequest{} }
func (m *GetUserTransactionRequest) String() string { return proto.CompactTextString(m) }
func (*GetUserTransactionRequest) ProtoMessage()    {}
func (*GetUserTransactionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{26}
}

func (m *GetUserTransactionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserTransactionRequest.Unmarshal(m, b)
}
func (m *GetUserTransactionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserTransactionRequest.Marshal(b, m, deterministic)
}
func (m *GetUserTransactionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserTransactionRequest.Merge(m, src)
}
func (m *GetUserTransactionRequest) XXX_Size() int {
	return xxx_messageInfo_GetUserTransactionRequest.Size(m)
}
func (m *GetUserTransactionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserTransactionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserTransactionRequest proto.InternalMessageInfo

func (m *GetUserTransactionRequest) GetTransactionID() string {
	if m != nil {
		return m.TransactionID
	}
	return ""
}

type GetUserTransactionReply struct {
	Transaction          *UserTransaction `protobuf:"bytes,1,opt,name=transaction,proto3" json:"transaction,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *GetUserTransactionReply) Reset()         { *m = GetUserTransactionReply{} }
func (m *GetUserTransactionReply) String() string { return proto.CompactTextString(m) }
func (*GetUserTransactionReply) ProtoMessage()    {}
func (*GetUserTransactionReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_116e343673f7ffaf, []int{27}
}

func (m *GetUserTransactionReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserTransactionReply.Unmarshal(m, b)
}
func (m *GetUserTransactionReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserTransactionReply.Marshal(b, m, deterministic)
}
func (m *GetUserTransactionReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserTransactionReply.Merge(m, src)
}
func (m *GetUserTransactionReply) XXX_Size() int {
	return xxx_messageInfo_GetUserTransactionReply.Size(m)
}
func (m *GetUserTransactionReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserTransactionReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserTransactionReply proto.InternalMessageInfo

func (m *GetUserTransactionReply) GetTransaction() *UserTransaction {
	if m != nil {
		return m.Transaction
	}
	return nil
}

func init() {
	proto.RegisterType((*User)(nil), "User")
	proto.RegisterType((*UserTransaction)(nil), "UserTransaction")
	proto.RegisterType((*GetNewUserTodayRequest)(nil), "GetNewUserTodayRequest")
	proto.RegisterType((*GetNewUserTodayReply)(nil), "GetNewUserTodayReply")
	proto.RegisterType((*CreateUserRequest)(nil), "CreateUserRequest")
	proto.RegisterType((*CreateUserReply)(nil), "CreateUserReply")
	proto.RegisterType((*GetUsersRequest)(nil), "GetUsersRequest")
	proto.RegisterType((*GetUsersReply)(nil), "GetUsersReply")
	proto.RegisterType((*GetUserRequest)(nil), "GetUserRequest")
	proto.RegisterType((*GetUserReply)(nil), "GetUserReply")
	proto.RegisterType((*GetUserByPhoneRequest)(nil), "GetUserByPhoneRequest")
	proto.RegisterType((*GetUserByPhoneReply)(nil), "GetUserByPhoneReply")
	proto.RegisterType((*UpdateUserRequest)(nil), "UpdateUserRequest")
	proto.RegisterType((*UpdateUserReply)(nil), "UpdateUserReply")
	proto.RegisterType((*VerifyPasscodeRequest)(nil), "VerifyPasscodeRequest")
	proto.RegisterType((*VerifyPasscodeReply)(nil), "VerifyPasscodeReply")
	proto.RegisterType((*IsEmailExistRequest)(nil), "IsEmailExistRequest")
	proto.RegisterType((*IsEmailExistReply)(nil), "IsEmailExistReply")
	proto.RegisterType((*IsPhoneExistRequest)(nil), "IsPhoneExistRequest")
	proto.RegisterType((*IsPhoneExistReply)(nil), "IsPhoneExistReply")
	proto.RegisterType((*ActivateUserRequest)(nil), "ActivateUserRequest")
	proto.RegisterType((*ActivateUserReply)(nil), "ActivateUserReply")
	proto.RegisterType((*BanUserRequest)(nil), "BanUserRequest")
	proto.RegisterType((*BanUserReply)(nil), "BanUserReply")
	proto.RegisterType((*GetUserTransactionsRequest)(nil), "GetUserTransactionsRequest")
	proto.RegisterType((*GetUserTransactionsReply)(nil), "GetUserTransactionsReply")
	proto.RegisterType((*GetUserTransactionRequest)(nil), "GetUserTransactionRequest")
	proto.RegisterType((*GetUserTransactionReply)(nil), "GetUserTransactionReply")
}

func init() { proto.RegisterFile("user.proto", fileDescriptor_116e343673f7ffaf) }

var fileDescriptor_116e343673f7ffaf = []byte{
	// 829 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xcc, 0x56, 0xcb, 0x6e, 0xe3, 0x36,
	0x14, 0x95, 0x6c, 0xcb, 0x71, 0xae, 0x9f, 0xa1, 0x1d, 0x47, 0x51, 0xba, 0x08, 0x88, 0x2e, 0x5c,
	0x24, 0x61, 0x8b, 0x34, 0xab, 0x6e, 0xda, 0x24, 0x0d, 0x82, 0xa0, 0xaf, 0x40, 0x6d, 0xba, 0x57,
	0x64, 0x1a, 0x15, 0xe0, 0x58, 0xae, 0x48, 0x67, 0xc6, 0x98, 0x4f, 0x98, 0x4f, 0x9a, 0xcd, 0xfc,
	0xc8, 0xfc, 0xcb, 0x80, 0x14, 0x25, 0x51, 0x0f, 0x3b, 0x01, 0x66, 0x33, 0x3b, 0xdf, 0xcb, 0xa3,
	0xc3, 0x4b, 0xde, 0x7b, 0x0e, 0x0d, 0xb0, 0x62, 0x34, 0x22, 0xcb, 0x28, 0xe4, 0x21, 0xfe, 0x68,
	0x42, 0xe3, 0x81, 0xd1, 0x08, 0xf5, 0xa0, 0x16, 0x4c, 0x6d, 0xf3, 0xd8, 0x9c, 0xec, 0xba, 0xb5,
	0x60, 0x8a, 0xbe, 0x81, 0xdd, 0x59, 0x10, 0x31, 0xbe, 0xf0, 0x9e, 0xa8, 0x5d, 0x93, 0xe9, 0x2c,
	0x81, 0x1c, 0x68, 0xcd, 0x3d, 0xb5, 0x58, 0x97, 0x8b, 0x69, 0x8c, 0x46, 0x60, 0xd1, 0x27, 0x2f,
	0x98, 0xdb, 0x0d, 0xb9, 0x10, 0x07, 0x22, 0xbb, 0xfc, 0x2f, 0x5c, 0x50, 0xdb, 0x8a, 0xb3, 0x32,
	0x50, 0x59, 0x1e, 0xda, 0xcd, 0x34, 0xcb, 0x43, 0x99, 0x0d, 0x83, 0x05, 0xb7, 0x77, 0x8e, 0xcd,
	0x89, 0xe9, 0xc6, 0x01, 0x1a, 0x43, 0x93, 0x71, 0x8f, 0xaf, 0x98, 0xdd, 0x92, 0x60, 0x15, 0xe1,
	0xf7, 0x26, 0xf4, 0xc5, 0x11, 0xfe, 0x89, 0xbc, 0x05, 0xf3, 0x7c, 0x1e, 0x84, 0x8b, 0xd2, 0x69,
	0x10, 0x34, 0xf8, 0x7a, 0x99, 0x1c, 0x44, 0xfe, 0xce, 0x76, 0xa9, 0xeb, 0xbb, 0x1c, 0x43, 0x7b,
	0x4a, 0x99, 0x1f, 0x05, 0x4b, 0x41, 0xa4, 0xce, 0xa0, 0xa7, 0xc4, 0xcd, 0xf8, 0x11, 0xf5, 0x38,
	0x9d, 0x5e, 0x72, 0x75, 0x9a, 0x2c, 0x81, 0x6d, 0x18, 0xdf, 0x52, 0xfe, 0x27, 0x7d, 0x23, 0x4b,
	0x0a, 0xa7, 0xde, 0xda, 0xa5, 0xff, 0xaf, 0x28, 0xe3, 0xf8, 0x14, 0x46, 0xa5, 0x95, 0xe5, 0x7c,
	0x2d, 0xea, 0xf0, 0xc3, 0xd5, 0x82, 0xcb, 0x72, 0x2d, 0x37, 0x0e, 0xf0, 0x07, 0x13, 0xf6, 0xae,
	0x25, 0xab, 0x80, 0x2b, 0x8e, 0xaf, 0xaa, 0x4b, 0x0e, 0xb4, 0x96, 0x1e, 0x63, 0x7e, 0x38, 0xa5,
	0xb2, 0x51, 0xbb, 0x6e, 0x1a, 0xe3, 0x13, 0xe8, 0xeb, 0xc5, 0x8b, 0x63, 0xda, 0xb0, 0xc3, 0x56,
	0xbe, 0x4f, 0x19, 0x93, 0xf5, 0xb7, 0xdc, 0x24, 0xc4, 0x3f, 0x43, 0xff, 0x96, 0x72, 0x81, 0x64,
	0xc9, 0x39, 0xc7, 0xd0, 0x0c, 0x67, 0x33, 0x46, 0x93, 0x4b, 0x51, 0x91, 0xa8, 0x64, 0x1e, 0x3c,
	0x05, 0x5c, 0x9e, 0xd5, 0x72, 0xe3, 0x00, 0x9f, 0x42, 0x37, 0x23, 0x10, 0x7b, 0x1d, 0x81, 0x25,
	0x66, 0x5c, 0xec, 0x54, 0x9f, 0xb4, 0xcf, 0x2d, 0x22, 0xcb, 0x88, 0x73, 0x78, 0x02, 0x3d, 0x85,
	0xd6, 0x76, 0x13, 0x4b, 0x77, 0xbf, 0xaa, 0x9b, 0x55, 0x11, 0xfe, 0x0e, 0x3a, 0x29, 0x52, 0xd0,
	0x1e, 0x42, 0x43, 0xac, 0x48, 0x54, 0xca, 0x2a, 0x53, 0xf8, 0x0c, 0xf6, 0x15, 0xf4, 0x6a, 0x7d,
	0x2f, 0x2e, 0x2d, 0xe1, 0x4e, 0x6f, 0xd4, 0xd4, 0x6e, 0x14, 0xff, 0x00, 0xc3, 0x22, 0xfc, 0x85,
	0x0d, 0xde, 0xc1, 0xde, 0xc3, 0x72, 0x5a, 0x18, 0x87, 0x0d, 0x85, 0x7f, 0xd9, 0x58, 0xc4, 0xad,
	0xb6, 0xb4, 0x56, 0x8b, 0x76, 0xea, 0x9b, 0x6f, 0x6f, 0xe7, 0x6f, 0xb0, 0xff, 0x2f, 0x8d, 0x82,
	0xd9, 0xfa, 0x5e, 0x4d, 0xc3, 0x4b, 0xd5, 0xea, 0x83, 0x54, 0x2b, 0x0c, 0xd2, 0xf7, 0x30, 0x2c,
	0x92, 0x6d, 0xdf, 0xfd, 0x04, 0x86, 0x77, 0xec, 0x46, 0x0c, 0xf3, 0xcd, 0xdb, 0x80, 0x71, 0xad,
	0x0d, 0xf1, 0xb8, 0x9b, 0xda, 0xb8, 0xe3, 0x33, 0xd8, 0xcb, 0x83, 0x5f, 0xc1, 0x2d, 0xdb, 0x55,
	0xe4, 0xae, 0x68, 0xb1, 0xe4, 0xd6, 0xc1, 0xdb, 0xb9, 0xcf, 0x60, 0x78, 0xe9, 0xf3, 0xe0, 0xf9,
	0x75, 0x1d, 0x16, 0xec, 0x79, 0xf8, 0x76, 0xf6, 0x09, 0xf4, 0xae, 0xbc, 0xc5, 0x6b, 0x88, 0x27,
	0xd0, 0x49, 0x91, 0xdb, 0x39, 0x1f, 0xc1, 0x51, 0x33, 0xac, 0x39, 0x2f, 0x7b, 0xa9, 0xd9, 0x99,
	0xb2, 0x6b, 0xd5, 0xca, 0xae, 0xeb, 0xca, 0xbe, 0x07, 0xbb, 0x72, 0x0f, 0x51, 0xd9, 0x05, 0x74,
	0xb8, 0x96, 0x54, 0x5a, 0x1f, 0x90, 0x02, 0xda, 0xcd, 0xa1, 0xf0, 0x25, 0x1c, 0x96, 0x19, 0x93,
	0xa2, 0xbf, 0x85, 0xae, 0x06, 0x4e, 0x6b, 0xcf, 0x27, 0xf1, 0x1f, 0x70, 0x50, 0x45, 0x21, 0x6a,
	0x3a, 0x87, 0xb6, 0x86, 0x55, 0x3a, 0x2e, 0x97, 0xa4, 0x83, 0xce, 0x3f, 0x59, 0xd0, 0x16, 0x80,
	0xbf, 0x69, 0xf4, 0x1c, 0xf8, 0x14, 0x5d, 0x4b, 0x3b, 0xd4, 0xdf, 0x09, 0x74, 0x40, 0xaa, 0xdf,
	0x14, 0x67, 0x9f, 0x54, 0x3d, 0x29, 0xd8, 0x40, 0x17, 0x00, 0x99, 0x01, 0x23, 0x44, 0x4a, 0x4f,
	0x89, 0x33, 0x20, 0x05, 0x87, 0xc6, 0x06, 0x22, 0xd0, 0x4a, 0x8c, 0x14, 0x0d, 0x48, 0xc1, 0x94,
	0x9d, 0x1e, 0xc9, 0xb9, 0x2c, 0x36, 0xd0, 0x09, 0xec, 0xa8, 0x14, 0xea, 0x93, 0xbc, 0xa9, 0x3a,
	0x5d, 0xa2, 0x7b, 0x67, 0x5c, 0x52, 0x66, 0x22, 0x08, 0x91, 0x92, 0x9d, 0x39, 0x03, 0x52, 0x70,
	0x19, 0x6c, 0xa0, 0x5f, 0xa0, 0x97, 0x37, 0x00, 0x34, 0x26, 0x95, 0xf6, 0xe2, 0x8c, 0x48, 0x85,
	0x53, 0x60, 0x03, 0xfd, 0x04, 0x1d, 0x5d, 0xe4, 0x68, 0x44, 0x2a, 0x0c, 0xc2, 0x41, 0xa4, 0xe4,
	0x04, 0xc9, 0xb7, 0x99, 0x88, 0xe5, 0xb7, 0x25, 0x03, 0x90, 0xdf, 0x16, 0x94, 0x1e, 0x7f, 0xab,
	0x4b, 0x14, 0x8d, 0x48, 0x85, 0xc0, 0x1d, 0x44, 0x4a, 0x3a, 0x8e, 0x2f, 0x56, 0xa9, 0x10, 0xf5,
	0x49, 0x5e, 0xb9, 0x4e, 0x97, 0xe8, 0x02, 0xc5, 0x06, 0xfa, 0x2b, 0x7d, 0x4c, 0x74, 0x91, 0xa0,
	0x23, 0xb2, 0x59, 0x9e, 0xce, 0x21, 0xd9, 0xa4, 0x2b, 0x6c, 0xa0, 0xdf, 0x01, 0x95, 0x57, 0x91,
	0x43, 0x36, 0x0a, 0xc7, 0xb1, 0xc9, 0x06, 0x45, 0x60, 0xe3, 0xb1, 0x29, 0xff, 0x69, 0xfe, 0xf8,
	0x39, 0x00, 0x00, 0xff, 0xff, 0xe2, 0x0b, 0xaa, 0x8b, 0x77, 0x0a, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// UserServiceClient is the client API for UserService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type UserServiceClient interface {
	// Analytic APIs
	GetNewUserToday(ctx context.Context, in *GetNewUserTodayRequest, opts ...grpc.CallOption) (*GetNewUserTodayReply, error)
	// User APIs
	CreateUser(ctx context.Context, in *CreateUserRequest, opts ...grpc.CallOption) (*CreateUserReply, error)
	GetUsers(ctx context.Context, in *GetUsersRequest, opts ...grpc.CallOption) (*GetUsersReply, error)
	GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*GetUserReply, error)
	UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*UpdateUserReply, error)
	VerifyPasscode(ctx context.Context, in *VerifyPasscodeRequest, opts ...grpc.CallOption) (*VerifyPasscodeReply, error)
	IsEmailExist(ctx context.Context, in *IsEmailExistRequest, opts ...grpc.CallOption) (*IsEmailExistReply, error)
	IsPhoneExist(ctx context.Context, in *IsPhoneExistRequest, opts ...grpc.CallOption) (*IsPhoneExistReply, error)
	ActivateUser(ctx context.Context, in *ActivateUserRequest, opts ...grpc.CallOption) (*ActivateUserReply, error)
	BanUser(ctx context.Context, in *BanUserRequest, opts ...grpc.CallOption) (*BanUserReply, error)
	// Transaction API
	GetUserTransactions(ctx context.Context, in *GetUserTransactionsRequest, opts ...grpc.CallOption) (*GetUserTransactionsReply, error)
	GetUserTransaction(ctx context.Context, in *GetUserTransactionRequest, opts ...grpc.CallOption) (*GetUserTransactionReply, error)
}

type userServiceClient struct {
	cc *grpc.ClientConn
}

func NewUserServiceClient(cc *grpc.ClientConn) UserServiceClient {
	return &userServiceClient{cc}
}

func (c *userServiceClient) GetNewUserToday(ctx context.Context, in *GetNewUserTodayRequest, opts ...grpc.CallOption) (*GetNewUserTodayReply, error) {
	out := new(GetNewUserTodayReply)
	err := c.cc.Invoke(ctx, "/UserService/GetNewUserToday", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) CreateUser(ctx context.Context, in *CreateUserRequest, opts ...grpc.CallOption) (*CreateUserReply, error) {
	out := new(CreateUserReply)
	err := c.cc.Invoke(ctx, "/UserService/CreateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) GetUsers(ctx context.Context, in *GetUsersRequest, opts ...grpc.CallOption) (*GetUsersReply, error) {
	out := new(GetUsersReply)
	err := c.cc.Invoke(ctx, "/UserService/GetUsers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*GetUserReply, error) {
	out := new(GetUserReply)
	err := c.cc.Invoke(ctx, "/UserService/GetUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*UpdateUserReply, error) {
	out := new(UpdateUserReply)
	err := c.cc.Invoke(ctx, "/UserService/UpdateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) VerifyPasscode(ctx context.Context, in *VerifyPasscodeRequest, opts ...grpc.CallOption) (*VerifyPasscodeReply, error) {
	out := new(VerifyPasscodeReply)
	err := c.cc.Invoke(ctx, "/UserService/VerifyPasscode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) IsEmailExist(ctx context.Context, in *IsEmailExistRequest, opts ...grpc.CallOption) (*IsEmailExistReply, error) {
	out := new(IsEmailExistReply)
	err := c.cc.Invoke(ctx, "/UserService/IsEmailExist", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) IsPhoneExist(ctx context.Context, in *IsPhoneExistRequest, opts ...grpc.CallOption) (*IsPhoneExistReply, error) {
	out := new(IsPhoneExistReply)
	err := c.cc.Invoke(ctx, "/UserService/IsPhoneExist", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) ActivateUser(ctx context.Context, in *ActivateUserRequest, opts ...grpc.CallOption) (*ActivateUserReply, error) {
	out := new(ActivateUserReply)
	err := c.cc.Invoke(ctx, "/UserService/ActivateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) BanUser(ctx context.Context, in *BanUserRequest, opts ...grpc.CallOption) (*BanUserReply, error) {
	out := new(BanUserReply)
	err := c.cc.Invoke(ctx, "/UserService/BanUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) GetUserTransactions(ctx context.Context, in *GetUserTransactionsRequest, opts ...grpc.CallOption) (*GetUserTransactionsReply, error) {
	out := new(GetUserTransactionsReply)
	err := c.cc.Invoke(ctx, "/UserService/GetUserTransactions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userServiceClient) GetUserTransaction(ctx context.Context, in *GetUserTransactionRequest, opts ...grpc.CallOption) (*GetUserTransactionReply, error) {
	out := new(GetUserTransactionReply)
	err := c.cc.Invoke(ctx, "/UserService/GetUserTransaction", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UserServiceServer is the server API for UserService service.
type UserServiceServer interface {
	// Analytic APIs
	GetNewUserToday(context.Context, *GetNewUserTodayRequest) (*GetNewUserTodayReply, error)
	// User APIs
	CreateUser(context.Context, *CreateUserRequest) (*CreateUserReply, error)
	GetUsers(context.Context, *GetUsersRequest) (*GetUsersReply, error)
	GetUser(context.Context, *GetUserRequest) (*GetUserReply, error)
	UpdateUser(context.Context, *UpdateUserRequest) (*UpdateUserReply, error)
	VerifyPasscode(context.Context, *VerifyPasscodeRequest) (*VerifyPasscodeReply, error)
	IsEmailExist(context.Context, *IsEmailExistRequest) (*IsEmailExistReply, error)
	IsPhoneExist(context.Context, *IsPhoneExistRequest) (*IsPhoneExistReply, error)
	ActivateUser(context.Context, *ActivateUserRequest) (*ActivateUserReply, error)
	BanUser(context.Context, *BanUserRequest) (*BanUserReply, error)
	// Transaction API
	GetUserTransactions(context.Context, *GetUserTransactionsRequest) (*GetUserTransactionsReply, error)
	GetUserTransaction(context.Context, *GetUserTransactionRequest) (*GetUserTransactionReply, error)
}

// UnimplementedUserServiceServer can be embedded to have forward compatible implementations.
type UnimplementedUserServiceServer struct {
}

func (*UnimplementedUserServiceServer) GetNewUserToday(ctx context.Context, req *GetNewUserTodayRequest) (*GetNewUserTodayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNewUserToday not implemented")
}
func (*UnimplementedUserServiceServer) CreateUser(ctx context.Context, req *CreateUserRequest) (*CreateUserReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateUser not implemented")
}
func (*UnimplementedUserServiceServer) GetUsers(ctx context.Context, req *GetUsersRequest) (*GetUsersReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUsers not implemented")
}
func (*UnimplementedUserServiceServer) GetUser(ctx context.Context, req *GetUserRequest) (*GetUserReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUser not implemented")
}
func (*UnimplementedUserServiceServer) UpdateUser(ctx context.Context, req *UpdateUserRequest) (*UpdateUserReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUser not implemented")
}
func (*UnimplementedUserServiceServer) VerifyPasscode(ctx context.Context, req *VerifyPasscodeRequest) (*VerifyPasscodeReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method VerifyPasscode not implemented")
}
func (*UnimplementedUserServiceServer) IsEmailExist(ctx context.Context, req *IsEmailExistRequest) (*IsEmailExistReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method IsEmailExist not implemented")
}
func (*UnimplementedUserServiceServer) IsPhoneExist(ctx context.Context, req *IsPhoneExistRequest) (*IsPhoneExistReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method IsPhoneExist not implemented")
}
func (*UnimplementedUserServiceServer) ActivateUser(ctx context.Context, req *ActivateUserRequest) (*ActivateUserReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ActivateUser not implemented")
}
func (*UnimplementedUserServiceServer) BanUser(ctx context.Context, req *BanUserRequest) (*BanUserReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BanUser not implemented")
}
func (*UnimplementedUserServiceServer) GetUserTransactions(ctx context.Context, req *GetUserTransactionsRequest) (*GetUserTransactionsReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserTransactions not implemented")
}
func (*UnimplementedUserServiceServer) GetUserTransaction(ctx context.Context, req *GetUserTransactionRequest) (*GetUserTransactionReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserTransaction not implemented")
}

func RegisterUserServiceServer(s *grpc.Server, srv UserServiceServer) {
	s.RegisterService(&_UserService_serviceDesc, srv)
}

func _UserService_GetNewUserToday_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNewUserTodayRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).GetNewUserToday(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/GetNewUserToday",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).GetNewUserToday(ctx, req.(*GetNewUserTodayRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_CreateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).CreateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/CreateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).CreateUser(ctx, req.(*CreateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_GetUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).GetUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/GetUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).GetUsers(ctx, req.(*GetUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_GetUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).GetUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/GetUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).GetUser(ctx, req.(*GetUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_UpdateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).UpdateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/UpdateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).UpdateUser(ctx, req.(*UpdateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_VerifyPasscode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(VerifyPasscodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).VerifyPasscode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/VerifyPasscode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).VerifyPasscode(ctx, req.(*VerifyPasscodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_IsEmailExist_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(IsEmailExistRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).IsEmailExist(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/IsEmailExist",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).IsEmailExist(ctx, req.(*IsEmailExistRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_IsPhoneExist_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(IsPhoneExistRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).IsPhoneExist(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/IsPhoneExist",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).IsPhoneExist(ctx, req.(*IsPhoneExistRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_ActivateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ActivateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).ActivateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/ActivateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).ActivateUser(ctx, req.(*ActivateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_BanUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BanUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).BanUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/BanUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).BanUser(ctx, req.(*BanUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_GetUserTransactions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserTransactionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).GetUserTransactions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/GetUserTransactions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).GetUserTransactions(ctx, req.(*GetUserTransactionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserService_GetUserTransaction_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserTransactionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServiceServer).GetUserTransaction(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/UserService/GetUserTransaction",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServiceServer).GetUserTransaction(ctx, req.(*GetUserTransactionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _UserService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "UserService",
	HandlerType: (*UserServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetNewUserToday",
			Handler:    _UserService_GetNewUserToday_Handler,
		},
		{
			MethodName: "CreateUser",
			Handler:    _UserService_CreateUser_Handler,
		},
		{
			MethodName: "GetUsers",
			Handler:    _UserService_GetUsers_Handler,
		},
		{
			MethodName: "GetUser",
			Handler:    _UserService_GetUser_Handler,
		},
		{
			MethodName: "UpdateUser",
			Handler:    _UserService_UpdateUser_Handler,
		},
		{
			MethodName: "VerifyPasscode",
			Handler:    _UserService_VerifyPasscode_Handler,
		},
		{
			MethodName: "IsEmailExist",
			Handler:    _UserService_IsEmailExist_Handler,
		},
		{
			MethodName: "IsPhoneExist",
			Handler:    _UserService_IsPhoneExist_Handler,
		},
		{
			MethodName: "ActivateUser",
			Handler:    _UserService_ActivateUser_Handler,
		},
		{
			MethodName: "BanUser",
			Handler:    _UserService_BanUser_Handler,
		},
		{
			MethodName: "GetUserTransactions",
			Handler:    _UserService_GetUserTransactions_Handler,
		},
		{
			MethodName: "GetUserTransaction",
			Handler:    _UserService_GetUserTransaction_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "user.proto",
}
